PATCH /report/{uuid}
/report/{uuid}/{uuid}
UUID of the object to fetch
object name
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
Report object creation
{
"_last_modified": "string",
"duration": 0,
"end_time": "string",
"filename": "string",
"name": "string",
"node": "string",
"pre_check": {
"checks": [
{
"check_code": "string",
"description": "string",
"details": [
"string"
],
"duration": 0,
"end_time": "string",
"error_details": [
"string"
],
"start_time": "string",
"state": "string"
}
],
"checks_completed": 0,
"duration": 0,
"end_time": "string",
"progress": 0,
"start_time": "string",
"state": {
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"reason": "string",
"state": "string"
},
"total_checks": 0
},
"progress": 0,
"request": {
"duration": {
"end_time": {
"secs": 0,
"usecs": 0
},
"period": "string",
"start_time": {
"secs": 0,
"usecs": 0
}
},
"name": "string",
"parameters": [
{
"name": "string",
"value": "string"
}
],
"report": "string",
"sections": [
{
"id": "string",
"sub_sections": [
{
"id": "string"
}
]
}
]
},
"start_time": "string",
"state": {
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"reason": "string",
"state": "string"
},
"tasks": [
{
"nodes_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"sub_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"task_name": "string"
}
],
"tasks_completed": 0,
"tenant_ref": "string",
"total_tasks": 0,
"url": "string",
"uuid": "string"
}
OK
{
"_last_modified": "string",
"duration": 0,
"end_time": "string",
"filename": "string",
"name": "string",
"node": "string",
"pre_check": {
"checks": [
{
"check_code": "string",
"description": "string",
"details": [
"string"
],
"duration": 0,
"end_time": "string",
"error_details": [
"string"
],
"start_time": "string",
"state": "string"
}
],
"checks_completed": 0,
"duration": 0,
"end_time": "string",
"progress": 0,
"start_time": "string",
"state": {
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"reason": "string",
"state": "string"
},
"total_checks": 0
},
"progress": 0,
"request": {
"duration": {
"end_time": {
"secs": 0,
"usecs": 0
},
"period": "string",
"start_time": {
"secs": 0,
"usecs": 0
}
},
"name": "string",
"parameters": [
{
"name": "string",
"value": "string"
}
],
"report": "string",
"sections": [
{
"id": "string",
"sub_sections": [
{
"id": "string"
}
]
}
]
},
"start_time": "string",
"state": {
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"reason": "string",
"state": "string"
},
"tasks": [
{
"nodes_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"sub_events": [
{
"duration": 0,
"end_time": "string",
"ip": {
"addr": "string",
"type": "string"
},
"message": "string",
"start_time": "string",
"status": "string",
"sub_tasks": [
"string"
]
}
],
"task_name": "string"
}
],
"tasks_completed": 0,
"tenant_ref": "string",
"total_tasks": 0,
"url": "string",
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
Time taken to complete report generation in seconds. Field introduced in 31.2.1. Unit is SEC. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
End time of the report generation. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Name of the report artifact on reports repository. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Name of the report. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Cluster member node on which the report is processed. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
pre_check
Percentage of tasks completed. Allowed values are 0-100. Field introduced in 31.2.1. Unit is PERCENT. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
request
Start time of the report generation. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
state
List of tasks associated with the report generation. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
No. of tasks completed. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Tenant UUID of the report generation. It is a reference to an object of type Tenant. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Total no. of tasks. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
url
UUID Identifier for the report generation. Field introduced in 31.2.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
log in failed
object not found
curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'